Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class BufferFill

    java.lang.Object
      org.linuxsampler.lscp.BufferFill

    public class BufferFill

extends java.lang.Object

Provides information about the fill state of a disk stream buffer.

Constructor Summary
`BufferFill()` Creates a new instance of `BufferFill`.
`BufferFill(int streamId, int value)` Creates a new instance of `BufferFill` with the specified stream ID and fill amount.

Method Summary
`int` | `getStreamId()` Gets the stream ID of the disk stream buffer.
`int` | `getValue()` Gets the fill amount of the buffer.
`void` | `setStreamId(int id)` Sets the stream ID of the disk stream buffer.
`void` | `setValue(int val)` Sets the fill amount of the buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferFill

    public BufferFill()

  Creates a new instance of `BufferFill`.

### BufferFill

    public BufferFill(int streamId,
                      int value)

  Creates a new instance of `BufferFill` with the specified stream ID and fill amount.

  Parameters:
    `streamId` - The stream ID of the disk stream buffer.
    `value` - The fill amount of the disk stream buffer.

Method Detail

### getStreamId

    public int getStreamId()

  Gets the stream ID of the disk stream buffer.

  Returns:
    The stream ID of the disk stream buffer.

### setStreamId

    public void setStreamId(int id)

  Sets the stream ID of the disk stream buffer.

  Parameters:
    `id` - The stream ID of the disk stream buffer.

### getValue

    public int getValue()

  Gets the fill amount of the buffer.

  Returns:
    The fill amount of the buffer.

### setValue

    public void setValue(int val)

  Sets the fill amount of the buffer.

  Parameters:
    `val` - The fill amount of the buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.